﻿/*
 * Problem:
 *
 *        When a method body is more obvious than the method itself, use this technique.
 */

namespace RefactoringTechniques._02_Inline_method.orig
{
    public class PizzaDeliveryOrig
    {
        private int numberOfLateDeliveries = 0;

        // ...
        int GetRating()
        {
            return MoreThanFiveLateDeliveries() ? 2 : 1;
        }

        bool MoreThanFiveLateDeliveries()
        {
            return numberOfLateDeliveries > 5;
        }

        // ...
    }
}