﻿using System;

/*
 * Solution:
 *
 *        Place the result of the expression or its parts in separate variables that are self-explanatory.
 */
namespace RefactoringTechniques._03_Extract_Variable.solved
{
    public class Solved
    {
        void RenderBanner(String platform, String browser, int resize)
        {
            var isMacOs = platform.ToUpper().IndexOf("MAC", StringComparison.Ordinal) > -1;
            var isIE = browser.ToUpper().IndexOf("IE", StringComparison.Ordinal) > -1;
            var wasResized = resize > 0;
            if (isMacOs && isIE && wasInitialized() && wasResized)
            {
                // do something
            }
        }

        private bool wasInitialized()
        {
            // some logic, where it is evaluated
            return true;
        }
    }
}