﻿/*
 * Solution:
 *
 *        Replace these parameters with an object.
 */

using System;

namespace RefactoringTechniques._06_Introduce_Parameter_Object.solved
{
    public class Solved
    {
        public void PrintAmounts(DateTime startDate, DateTime endDate)
        {
            var dateRange = new DateRange(startDate, endDate);
            
            Console.WriteLine("AmountInvoiced: " + AmountInvoiced(dateRange));
            Console.WriteLine("AmountReceived: " + AmountReceived(dateRange));
            Console.WriteLine("AmountOverdue: " + AmountOverdue(dateRange));
        }

        public double AmountInvoiced(DateRange dateRange)
        {
            // ...
            return 12;
        }

        public double AmountReceived(DateRange dateRange)
        {
            // ...
            return 4;
        }

        public double AmountOverdue(DateRange dateRange)
        {
            // ...
            return 5;
        }
    }
}