﻿/*
 * Solution:
 *
 *        Combine these methods by using a parameter that will pass the necessary special value.
 */

using System;

namespace RefactoringTechniques._07_Parameterize_Method.solved
{
    public class Solved
    {
        public String BaseCharge(int usage)
        {
            if (usage < 0) return Usd(0);
            var amount = WithinBand(usage, 0, 100) * 0.03
                         + WithinBand(usage, 100, 200) * 0.05
                         + WithinBand(usage, 200, Int32.MaxValue) * 0.07;
            return Usd(amount);
        }

        private int WithinBand(int usage, int bottom, int top)
        {
            return usage > bottom ? Math.Min(usage, top) - bottom : 0;
        }

        private String Usd(double amount)
        {
            return "$" + amount;
        }
    }
}