﻿using System;

/*
 * Problem:
 *
 *         You have a complex conditional (if-then/else or switch).
 */
namespace RefactoringTechniques._10_Decompose_Conditional.orig
{
    public class Orig
    {
        private readonly DateTime SUMMER_START = DateTime.Parse("01/07/2021");
        private readonly DateTime SUMMER_END = DateTime.Parse("01/07/2021");

        public int CountPrice(DateTime date, int quantity)
        {
            const int winterRate = 120;
            const int winterServiceCharge = 20;
            const int summerRate = 80;

            int result;
            if (date < SUMMER_START || date > SUMMER_END)
            {
                result = quantity * winterRate + winterServiceCharge;
            }
            else
            {
                result = quantity * summerRate;
            }

            return result;
        }
    }
}